
local baseUnits = {
	player = WhatsNext:Localize("PLAYER"),
	target = WhatsNext:Localize("TARGET"),
	targettarget = WhatsNext:Localize("TARGETTARGET"),
	targettargettarget = WhatsNext:Localize("TARGETTARGETTARGET"),
	pet = WhatsNext:Localize("PET"),
	pettarget = WhatsNext:Localize("PETTARGET"),
	focus = WhatsNext:Localize("FOCUS"),
	focustarget = WhatsNext:Localize("FOCUSTARGET"),
	mouseover = WhatsNext:Localize("MOUSEOVER"),
	mouseovertarget = WhatsNext:Localize("MOUSEOVERTARGET"),
} 

local baseGroupedUnits = {
	player = WhatsNext:Localize("PLAYER"),
	pet = WhatsNext:Localize("PET"),
} 

local bossUnits = {
	boss1 = format(WhatsNext:Localize("BOSSFORMAT"),1),
	boss2 = format(WhatsNext:Localize("BOSSFORMAT"),2),
	boss3 = format(WhatsNext:Localize("BOSSFORMAT"),3),
	boss4 = format(WhatsNext:Localize("BOSSFORMAT"),4),
} 

local bossTargetUnits = {
	boss1target = format(WhatsNext:Localize("BOSSTARGETFORMAT"),1),
	boss2target = format(WhatsNext:Localize("BOSSTARGETFORMAT"),2),
	boss3target = format(WhatsNext:Localize("BOSSTARGETFORMAT"),3),
	boss4target = format(WhatsNext:Localize("BOSSTARGETFORMAT"),4),
}

local arenaUnits = {
	arena1 = format(WhatsNext:Localize("ARENAFORMAT"),1),
	arena2 = format(WhatsNext:Localize("ARENAFORMAT"),2),
	arena3 = format(WhatsNext:Localize("ARENAFORMAT"),3),
	arena4 = format(WhatsNext:Localize("ARENAFORMAT"),4),
	arena5 = format(WhatsNext:Localize("ARENAFORMAT"),5),
} 

local arenaTargetUnits = {
	arena1target = format(WhatsNext:Localize("ARENATARGETFORMAT"),1),
	arena2target = format(WhatsNext:Localize("ARENATARGETFORMAT"),2),
	arena3target = format(WhatsNext:Localize("ARENATARGETFORMAT"),3),
	arena4target = format(WhatsNext:Localize("ARENATARGETFORMAT"),4),
	arena5target = format(WhatsNext:Localize("ARENATARGETFORMAT"),5),
}

local partyUnits = {
	party1 = format(WhatsNext:Localize("PARTYFORMAT"),1),
	party2 = format(WhatsNext:Localize("PARTYFORMAT"),2),
	party3 = format(WhatsNext:Localize("PARTYFORMAT"),3),
	party4 = format(WhatsNext:Localize("PARTYFORMAT"),4),
	party5 = format(WhatsNext:Localize("PARTYFORMAT"),5),
} 

local partyTargetUnits = {
	party1target = format(WhatsNext:Localize("PARTYTARGETFORMAT"),1),
	party2target = format(WhatsNext:Localize("PARTYTARGETFORMAT"),2),
	party3target = format(WhatsNext:Localize("PARTYTARGETFORMAT"),3),
	party4target = format(WhatsNext:Localize("PARTYTARGETFORMAT"),4),
	party5target = format(WhatsNext:Localize("PARTYTARGETFORMAT"),5),
}

local raidUnits = {}
for i=1,40 do
	raidUnits["raid"..i] = format(WhatsNext:Localize("RAIDFORMAT"),(i < 10 and " " or "") .. i)
end
	
local raidTargetUnits = {}
for i=1,40 do
	raidTargetUnits["raid"..i.."target"] = format(WhatsNext:Localize("RAIDTARGETFORMAT"),(i < 10 and " " or "") .. i)
end
	

local movementValues = {
	MOVEFORWARD = WhatsNext:Localize("MOVEFORWARD"),
	MOVEBACKWARD = WhatsNext:Localize("MOVEBACKWARD"),
	STRAFELEFT = WhatsNext:Localize("STRAFELEFT"),
	STRAFERIGHT = WhatsNext:Localize("STRAFERIGHT"),
	TURNLEFT = WhatsNext:Localize("TURNLEFT"),
	TURNRIGHT = WhatsNext:Localize("TURNRIGHT"),
	JUMP = WhatsNext:Localize("JUMP"),
	TOGGLEAUTORUN = WhatsNext:Localize("TOGGLEAUTORUN"),
}

local logicBlockTypes = {
	itemBlock = WhatsNext:Localize("ITEMBLOCK"),
	macroBlock = WhatsNext:Localize("MACROBLOCK"),
	noteBlock = WhatsNext:Localize("NOTEBLOCK"),
	spellBlock = WhatsNext:Localize("SPELLBLOCK"),
	movementBlock = WhatsNext:Localize("MOVEMENTBLOCK"),
}

local petModes = {
	PET_MODE_DEFENSIVE = WhatsNext:Localize("DEFENSIVE"),
	PET_MODE_ASSIST = WhatsNext:Localize("ASSIST"),
	PET_MODE_PASSIVE = WhatsNext:Localize("PASSIVE"),
}

WhatsNext.valueLists = {
	["unitAny"] = {
		["|cFFFFFFFFBasic"] = baseUnits,
		["Arena"] = arenaUnits,
		["Arena Targets"] = arenaTargetUnits,
		["Boss"] = bossUnits,
		["Boss Targets"] = bossTargetUnits,
		["Party"] = partyUnits,
		["Party Targets"] = partyTargetUnits,
		["Raid"] = raidUnits,
		["Raid Targets"] = raidTargetUnits,
	},
	["unitGroup"] = {
		["Base"] = baseGroupedUnits,
		["Party"] = partyUnits,
		["Raid"] = raidUnits,
	},
	["movements"] = movementValues,
	["logicBlockTypes"] = logicBlockTypes,
	["petModes"] = petModes,
}